package com.uas.search.constant.model;

import java.io.Serializable;

/**
 * 订单明细
 * 
 * @author suntg
 * @since 2016年10月11日上午11:32:11
 */
public class BaseOrderDetail implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Long id;

	private Short detno;

	private String code;

	public BaseOrderDetail() {

	}

	public BaseOrderDetail(Long id) {
		this.id = id;
	}

	public BaseOrderDetail(Long id, Short detno) {
		this(id);
		this.detno = detno;
	}

	public BaseOrderDetail(Long id, Short detno, String code) {
		this(id, detno);
		this.code = code;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Short getDetno() {
		return detno;
	}

	public void setDetno(Short detno) {
		this.detno = detno;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	@Override
	public String toString() {
		return "BaseOrderDetail [id=" + id + ", detno=" + detno + ", code=" + code + "]";
	}

}
